

  <div class="" *ngIf="flag" style="text-align:center">
    <cdk-virtual-scroll-viewport itemSize="200" class="example-viewport">
      <div *cdkVirtualFor="let pokemon of ds">
          <mat-card class="example-card example-item">
            <mat-card-header>
              <div mat-card-avatar class="example-header-image"></div>
              <mat-card-title>{{ pokemon.name }}</mat-card-title>
              <mat-card-subtitle>Tipo</mat-card-subtitle>
            </mat-card-header>
            <img mat-card-image  class="with-image"   src="{{pokemon.detail['sprites']['front_default'] || null}}" alt="pokemon">
            <mat-card-content>
            </mat-card-content>
            <mat-card-actions>
              <button mat-button>Details</button>
            </mat-card-actions>
          </mat-card>
        </div>
    </cdk-virtual-scroll-viewport>
  </div>
